Subject: Re: Moses with Cygwin on Windows 7
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 07 Aug 2010 22:23:39 +0100
List-Id: <cygwin.cygwin.com>

Dear Eliot,

many thanks for your reply.  On why we need cygwin: the language model  
we use is IRSTLM. The native windows build of Moses does not currently  
use IRSTLM LMs.

I have been reading up a bit about debasing DLLs, and I gather from  
http://www.codeproject.com/KB/DLL/RebaseDll.aspx that the purpose is  
to avoid either two or more DLLs using the same preferred base  
addresses, or the overheads of relocation.  However, on  
http://social.msdn.microsoft.com/Forums/en-US/vcgeneral/thread/bac7e300-f3df-4087-9c4b-847880d625ad, it is suggested that from Vista onwards, it is better to leave this to the operating systems's ASLR (Address space layout randomization) in order to help defeat a ?return-to-libc? attack. Do you agree with this? If it is still necessary to do a rebase, what does your script do that rebaseall  
doesn't?

Re UAC prompts: this does look annoying but corporate security  
regulations may prevent us from turning it off completely.  Is there  
some way to turn it off for individual programs without using  
third-party software?

Thank you,
Llio Humphreys

Quoting Eliot Moss <[email-masked]>:

> Cygwin under Windows 7 works fine for me.  The things
> I noticed were:
>
> - It was helpful to some things, especially perl and things
>   built from it, to rebase all the dlls.  I have a script
>   for that, though rebaseall may do it for you.
>
> - Since I am just a single user, etc., I disable the Windows
>   Vista/7 UAC controls so that more things run without annoying
>   popups to ask permission (and some things just won't run
>   without further fiddling if UAC is on).
>
> I think people have resolved UAC issues with further work,
> but it seems to be a topic that comes up from time to time.
> That is, for sophisticated things it can be tricky to get
> them going with UAC on.
>
> A quick glance at Moses suggests that it can just be done
> under regular Windows using Visual Studio, so why cygwin at all?
>
> -- Eliot Moss

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple